Index: /extensions/UserAdvManager/branches/2.40/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/changelog.txt.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/changelog.txt.php	(revision 17512)
@@ -295,4 +295,6 @@
 -- 2.30.6 : Bug 2618 fixed - Apache crash when php 5.3.10 is used
 
+-- 2.30.7 : Bug 2658 fixed - Compatibility check between UAM's "email exclusion" option and Piwigo's "Mail address is mandatory for all users" to avoid configuration conflicts.
+
 **************************************************************
 ***** Plugin history (branch 2.40 - Piwigo 2.4 compliant)*****
@@ -320,4 +322,8 @@
             Update lv_LV, thanks to : agrisans
             Update el_GR, thanks to : bas_alba
+
+-- 2.40.4 : Bug 2658 fixed - Compatibility check between UAM's "email exclusion" option and Piwigo's "Mail address is mandatory for all users" to avoid configuration conflicts.
+            Update el_GR, thanks to : bas_alba
+            Update lv_LV, thanks to : agrisans
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.40/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/include/functions.inc.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/include/functions.inc.php	(revision 17512)
@@ -25,4 +25,22 @@
 
   return $menu;
+}
+
+
+/**
+ * Triggered on loc_begin_admin_page
+ * 
+ * Check options compatibility
+ */
+function UAM_check_compat()
+{
+  global $conf, $page;
+ 
+  // Check mandatory email address for email exclusion
+  $conf_UAM = unserialize($conf['UserAdvManager']);
+  if (!$conf['obligatory_user_mail_address'] and $conf_UAM[10] = 'true')
+  {
+    array_push($page['warnings'], l10n('UAM_mail_exclusion_error'));
+  }
 }
 
Index: /extensions/UserAdvManager/branches/2.40/language/el_GR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/el_GR/help.lang.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/language/el_GR/help.lang.php	(revision 17512)
@@ -77,3 +77,95 @@
 Προσαρμογή κειμένου για την ανακατεύθυνση σελίδας μπορεί να εισαχθεί στο πεδίο αυτό που είναι συμβατό με το FCK Editor και, για πολυγλωσσικό περιβάλλον, μπορείτε να χρησιμοποιήσετε τις ετικέτες [lang] του πρόσθετου Extended description αν είναι ενεργό.';
 $lang['UAM_GTAutoDelTitle'] = 'Προσαρμοσμένο μήνυμα για διαγραμμένο λογαριασμού';
+$lang['UAM_GTAutoGpTitle_d'] = 'Η αυτόματη αλλαγή ομάδας, κατάστασης ή επιπέδου προστασίας είναι σαν υποβιβασμός των λογαριασμών που εμπλέκονται και εργάζονται στην ίδια αρχή με την ομάδα, του επιπέδου  προστασίας της επιβεβαίωσης (βλέπε "Ρύθμιση επιβεβαίωσης εγγραφής&quot;). Ως εκ τούτου πρέπει να οριστεί μια ομάδα, κατάσταση και / ή επίπεδο πρόσβαση υποβιβασμού στη γκαλερί. Εάν αυτό έχει ήδη καθοριστεί με τη χρήση της λειτουργίας επιβεβαίωσης εγγραφής, μπορείτε να χρησιμοποιήσετε την ίδια ομάδα / κατάσταση / επίπεδο.<br><br>
+<b style=&quot;color: red;&quot;>Σημαντική σημείωση :</b> Αν ένας ghost use εξακολουθεί να μην επισκέπτεται και μετά την προθεσμία και παρά την αυτόματη ειδοποίηση μέσω ηλεκτρονικού ταχυδρομείου (εάν είναι ενεργοποιημένο), αυτός διαγράφεται αυτόματα από τη βάση δεδομένων.';
+$lang['UAM_GTAutoMailTitle_d'] = 'Όταν ένας λογαριασμός έχει λήξει (ομάδα / κατάσταση / επίπεδο προστασίας αλλάζει υποβιβάζοντας σε επισκέπτη), ένα ενημερωτικό e-mail μπορεί να σταλεί και να διευκρινίζει τους λόγους αυτής της αλλαγής και τα μέσα για να ανακτήσει την αρχική πρόσβαση στη γκαλερί. <br>
+Για να γίνει αυτό, μια σύνδεση για επιβεβαίωση της εγγραφής επισυνάπτεται στο e-mail (αυτόματη δημιουργία ενός νέου κλειδιού επιβεβαίωση). <b style=&quot;color: red;&quot;>Αν ο χρήστης έχει ήδη κοινοποιηθεί, ο λογαριασμός του αυτόματα καταστρέφεται.</b> 
+<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση: Η χρήση αυτής της λειτουργίας είναι στενά συνδεδεμένη με την επιβεβαίωση της εγγραφής από τον χρήστη (επιβεβαίωση με e-mail) και δεν μπορεί να ενεργοποιηθεί χωρίς αυτή την επιλογή.</b>';
+$lang['UAM_Tracking registered users_d'] = 'Αυτό ενεργοποιεί έναν πίνακα στη καρτέλα &quot;Παρακολούθηση εγγεγραμμένους χρήστες&quot;  όπου παρατίθενται οι εγγεγραμμένοι χρήστες στη γκαλερί με την ημερομηνία της τελευταίας επίσκεψής τους και το χρόνο που παρηλθε (σε ημέρες) από την τελευταία επίσκεψη τους. Η παρακολούθηση έχει καθαρά ενημερωτικό χαρακτήρα για τον διαχειριστή της γκαλερί.';
+$lang['UAM_StuffsTitle_d'] = 'Αυτό επιτρέπει ένα πρόσθετο UAM μπλοκ στο πρόσθετο PWG Stuffs (εάν είναι εγκατεστημένο) για να ενημερώνει τους επισκέπτες σας ποιοι δεν μπόρεσαν να επιβεβαιώσουν την εγγραφή τους και την κατάστασή τους.<br><br>
+Παρακαλείσθε να διαβάσετε το<b>Συμβουλές και παραδείγματα χρήσης</b> στο κάτω μέρος της σελίδας για λεπτομέρειες.';
+$lang['UAM_RejectConnexion_d'] = 'Αν ενεργοποιηθεί, οι νέοι εγγεγραμμένοι χρήστες που δεν έχουν επιβεβαιώσει την εγγραφή τους δεν θα είναι σε θέση να συνδεθούν με την γκαλερί. Θα μεταφέρονται σε μια ειδική σελίδα που θα τους ενημερώνει για αυτή την κατάσταση.<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση - Αυτή η δυνατότητα λειτουργεί μόνο σε συνδυασμό με τις ομάδες επιβεβαίωσης! Δείτε παρακάτω πως θα ρυθμίσετε τις ομάδες, όπως απαιτείται.</b>
+';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Προσαρμόστε εδώ το κειμένο με τη δική σας εξήγηση που ενημερώνει τους ανεπιβεβαίωτες χρήστες ότι δεν θα είναι σε θέση να συνδεθούν στη συλλογή έως ότου έχουν επιβεβαιώσει την εγγραφή τους.
+<br><br>
+Αυτό το πεδίο είναι συμβατή με τον FCK Editor και, για πολλές γλώσσες, μπορείτε να χρησιμοποιήσετε τις ετικέτες [lang] του πρόσθετου Extended description αν είναι ενεργό.';
+$lang['UAM_RedirTitle_d'] = 'Η επιλογή αυτή ανακατευθύνει αυτόματα έναν εγγεγραμμένο χρήστη στη σελίδα προσαρμογής του μόνο κατά την πρώτη σύνδεση του με την γκαλερί. Εκείνοι με καθεστώς &quot;admin&quot;, &quot;webmaster&quot; ή &quot;generic&quot; αποκλείονται.';
+$lang['UAM_PwdResetTitle_d'] = 'Η ενεργοποίηση αυτής της επιλογής θα προσθέσει ένα νέο χαρακτηριστικό στον πίνακα διαχείρισης των χρηστών του Piwigo (Χρήστες> Διαχείριση) που μπορεί να εφαρμοστεί για να ανανεώνει τον κωδικό πρόσβασης για επιλεγμένους χρήστες. Επιπλέον, μια νέα στήλη προστίθεται για να δείξει την κατάσταση των κωδικών πρόσβασης για καθένα από αυτούς με τις ακόλουθες τιμές:<br>
+- Κωδικός που πρέπει να ανανεωθεί: Μια αίτηση ανανέωσης κωδικού πρόσβασης έχει προγραμματιστεί.<br>
+- Κωδικός έχει ανανεωθεί: Ο κωδικός πρόσβασης έχει ανανεωθεί κατόπιν αιτήματος.<br>
+- Αρχική Κωδικός: Ο αρχικός κωδικός που επιλέχτηκε κατά τη δημιουργία λογαριασμού και δεν έχει απαιτηθεί μια ανανέωση..<br>
+Ο Webmaster, οι γενικοί λογαριασμοί και οι λογαριασμοί επισκεπτώνπου εξαιρούνται από αυτή τη λειτουργία.<br>
+Αυτοί οι χρήστες θα μεταφερθούν αυτόματα στη σελίδα προσαρμογής τους σε κάθε μία από τις συνδέσεις τους μέχρι να αλλάξουν τον κωδικό πρόσβασής τους και ένα επεξηγηματικό μήνυμα θα εμφανίζεται σε αυτή τη σελίδα.';
+$lang['UAM_MailInfo_Subject_d'] = 'Εισάγετε εδώ το προσαρμοσμένο θέμα του ενημερωτικού e-mail σας.<br>
+Από προεπιλογή, το πεδίο έχει ένα γενικό κείμενο στην αγγλική γλώσσα, αλλά μπορείτε να το αλλάξετε και να χρησιμοποιήσετε τις ετικέτες γλώσσας [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο. 
+<br><br>
+Οι ακόλουθες πρόσθετες προσαρμοσμένες ετικέτες είναι διαθέσιμες χωρίς τη χρήση του plugin  Extended Description: <br> <br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> να εισάγετε τον τίτλο της συλλογής σας.<br>';
+$lang['UAM_HidePasswTitle_d'] = 'Επιλέξτε εδώ εάν θέλετε να εμφανίζετε ο κωδικός πρόσβασης που επιλέχτηκε από τον επισκέπτη στο ενημερωτικό e-mail. Εάν ενεργοποιήσετε την επιλογή, ο κωδικός πρόσβασης θα εμφανιστεί σε απλό κείμενο. Εάν απενεργοποιήσετε τον κωδικό πρόσβασης δεν θα εμφανιστεί καθόλου.';
+$lang['UAM_GT_MainTitle_d'] = '- Αυτόματη ή χειροκίνητη διαχείριση των χρηστών φάντασμα<br>
+- E-mailing<br>
+...';
+$lang['UAM_GTReminder_Subject_d'] = 'Εισάγετε εδώ το προσαρμοσμένο θέμα του e-mail χειροκίνητης υπενθύμισης του Ghost Tracker.<br>
+Από προεπιλογή, το πεδίο έχει ένα γενικό κείμενο στην αγγλική γλώσσα, αλλά μπορείτε να το αλλάξετε και να χρησιμοποιήσετε τις ετικέτες γλώσσας [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο. 
+<br><br>
+Οι ακόλουθες πρόσθετες προσαρμοσμένες ετικέτες είναι διαθέσιμες χωρίς τη χρήση του plugin  Extended Description: <br> <br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> να εισάγετε τον τίτλο της συλλογής σας.<br>';
+$lang['UAM_GTAutomail_Text_d'] = 'Πληκτρολογήστε το προσαρμοσμένο κείμενο που εξηγεί επίσης τους λόγους για τον υποβιβασμό, που θα συνοδεύει το σύνδεσμο επιβεβαίωσης. Το προσαρμοσμένο κείμενο δεν είναι υποχρεωτικό αλλά συνιστάται θερμά. Στην πραγματικότητα, οι επισκέπτες σας δεν θα εκτιμήσουν τη λήψη e-mail που περιέχει μία μόνο σύνδεση, χωρίς περαιτέρω εξηγήσεις. ;-)
+<br><br>
+Προσαρμόστε περαιτέρω το περιεχόμενο εισάγοντας ειδικές ετικέτες:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>για να εισάγετε τον τίτλο της συλλογής σας.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b>για να εισάγετε τη διεύθυνση URL της γκαλερί σας εάν ορίζεται σε επιλογές διαμόρφωσης του Piwigo.
+<br><br>
+Αν θέλετε να χρησιμοποιήσετε πολλές γλώσσες, μπορείτε να χρησιμοποιήσετε ετικέτες του plugin Extended description, εάν είναι ενεργό.';
+$lang['UAM_GTAutomail_Subject_d'] = 'Εισάγετε εδώ το προσαρμοσμένο θέμα για το e-mail για τον αυτόματο υποβιβασμό του Ghost Tracker.<br>
+Από προεπιλογή, το πεδίο έχει ένα γενικό κείμενο στην αγγλική γλώσσα, αλλά μπορείτε να το αλλάξετε και να χρησιμοποιήσετε τις ετικέτες γλώσσας [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο. 
+<br><br>
+Οι ακόλουθες πρόσθετες προσαρμοσμένες ετικέτες είναι διαθέσιμες χωρίς τη χρήση του plugin  Extended Description: <br> <br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> να εισάγετε τον τίτλο της συλλογής σας.<br>';
+$lang['UAM_GTAutoTitle_d'] = 'Αυτή η επιλογή επιτρέπει να εφαρμόζονται κανόνες για την αυτοματοποιημένη διαχείριση των ghosts users.
+<br><br>Βασική αρχή: Ένας χρήστης που φθάνει το μέγιστο χρονικό διάστημα μεταξύ δύο επισκέψεων b><u>και</u></b> έχει ήδη ειδοποιηθεί μέσω email θεωρείται ότι ληγμένος. Στη συνέχεια, μπορείτε να εφαρμόσετε αυτοματοποιημένη επεξεργασία των κανόνων, όπως η αυτόματη διαγραφή των ληγμένων λογαριασμών ή υποβιβασμό περιορίζοντας την πρόσβαση στην γκαλερί (αυτόματη εναλλαγή σε μια περιορισμένη ομάδα και / ή την κατάσταση).
+<br><br>Η ενεργοποίηση αυτών των αυτοματισμών επιτυγχάνεται κατά τη σύνδεση των χρηστών (σε κάθε χρήστη!) στην γκαλερί.';
+$lang['UAM_confirmmailTitle_d'] = 'Αυτή η επιλογή επιτρέπει σε ένα χρήστη να επιβεβαιώσει την εγγραφή του κάνοντας κλικ σε ένα σύνδεσμο που ελήφθη σε ένα μήνυμα ηλεκτρονικού ταχυδρομείου που αποστέλλεται κατά την εγγραφή ή ο διαχειριστής να ενεργοποιήσει χειροκίνητα την εγγραφή.<br><br>
+Στην πρώτη περίπτωση, το e-mail αποτελείται από ένα προσαρμόσιμο μέρος για να εισαγάγει μια μικρή σημείωση υποδοχής και ένα σταθερό πλαίσιο που περιέχει το σύνδεσμο ενεργοποίησης που παράγεται από ένα τυχαίο κλειδί που μπορεί ενδεχομένως να παραχθεί στην καρτέλα &quot;Παρακολούθηση επιβεβαιώσεις&quot;.<br><br>
+Στη δεύτερη περίπτωση, <b><u>δεν στέλνεται κλειδί επιβεβαίωσης με το email!</u></b>. Οι επισκέπτες πρέπει να περιμένουν έως ότου ένας διαχειριστής τους επιβεβαιώσει στην καρτέλα &quot;παρακολούθηση επιβεβαίωσης&quot;. Συνυστάτε να ενεργοποιήσετε την επιλογή του Piwigo του "Διαχείρηση email, όταν ένα νέος χρήστης εγγράφεται" (βλ. επιλογές διαμόρφωσης του Piwigo) και να χρησιμοποιήσει το &quot;ενημερωτικό email προς τον χρήστη&quot; για να προειδοποιήσει νέα μέλη να περιμένουν για την ενεργοποίηση του λογαριασμού τους.<br>
+<b style=&quot;color: red;&quot;>Σημείωση: Οι επιλογές &quot;Προθεσμία για την επιβεβαίωση της εγγραφής περιορισμένη&quot; και &quot;Υπενθυμίστε τους ανεπιβεβαίωτους χρηστες&quot; πρέπει να είναι απενεργοποιημένη όταν η χειροκίνητη επιβεβαίωση από τον διαχειρηστη είναι ενεργοποιημένη.</b>
+<br><br>
+Η επιλογή αυτή χρησιμοποιείται συνήθως με την αυτόματη εκχώρηση της ομάδας και / ή της κατάστασης. Για παράδειγμα, ένας χρήστης που δεν έχει επιβεβαιώσει την εγγραφή του θα μπει σε μια συγκεκριμένη ομάδα χρηστών (με ή χωρίς περιορισμούς στην γκαλερί) ενώ ένας χρήστης ο οποίος επιβεβαίωσε την εγγραφή του πρέπει να είναι σε μια &quot;κανονική&quot; ομάδα.';
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Η χρήση ομάδων στην επιβεβαίωση απαιτεί ότι έχετε δημιουργήσει τουλάχιστον μια ομάδα χρηστών και αυτό ορίζεται &quot;εξ ορισμού&quot; στη διαχείριση των ομάδων χρηστών του Piwigo.</b><br><br>
+Οι ομάδες επικυρώνονται για χρήση σε συνδυασμό με την &quot;Επιβεβαίωση εγγραφής&quot;';
+$lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Η χρήση του επιπέδου προστασίας προϋποθέτει ότι την έχετε χρησιμοποιήσει με τις φωτογραφίες σας. Ανατρέξτε στην τεκμηρίωση του Piwigo για περισσότερες λεπτομέρειες.</b><br><br>
+Το επίπεδο προστασίας επικυρώνεται για χρήση σε συνδυασμό με την &quot;Επιβεβαίωση εγγραφής&quot;';
+$lang['UAM_confirmlevelTitle'] = 'Επίπεδο Προστασίας ';
+$lang['UAM_confirmgrpTitle'] = 'Ομάδες';
+$lang['UAM_confirmTitle_d'] = '- Παραγογή ενημερωτικού email<br>
+- Παραγογή e-mail επιβεβαίωσης εγγραφήςbr>
+- Αυτόματη σύνδεση ομάδων, καταστάσεων ή επιπέδου προστασίας<br>
+- Προθεσμία για την επιβεβαίωση της εγγραφής<br>
+- Παραγογή e-mail υπενθύμισης<br>';
+$lang['UAM_carexcTitle_d'] = 'Μπορεί να έχει ενδιαφέρον να απαγορεύουν ορισμένοι χαρακτήρες στο όνομα χρήστη (για παράδειγμα: να απαγορεύουν τα ονόματα χρηστών που περιέχουν το @). Αυτή η επιλογή επιτρέπει να αποκλείσετε χαρακτήρες ή ακολουθία χαρακτήρων, γεγονότων.<br>
+Σημείωση: Η επιλογή μπορεί να αποκλείσει επίσης ολόκληρες λέξεις.
+<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση: Αυτή η επιλογή δεν έχει καμία επίπτωση για τα ονόματα των χρηστών που δημιουργήθηκαν πριν από την ενεργοποίηση του.</b>';
+$lang['UAM_USRAutoTitle_d'] = 'Αυτόματος χειρισμός για ανεπιβεβαίωτους επισκέπτες ενεργοποιείται κάθε φορά που συνδέονται στη γκαλερί και λειτουργεί ως εξής:<br><br>
+- Αυτόματη διαγραφή των λογαριασμών που δεν έχουν επιβεβαιωθεί στον επιτρεπόμενο χρόνο που έχει χορηγηθεί χωρίς αυτόματη αποστολή email υπενθύμισης -> &quot;Προθεσμία για την επιβεβαίωση εγγραφής περιορισμένη&quot; <b>u>ενεργοποιημένο</u></b> και το &quot;Υπενθυμίση στους ανεπιβεβαίωτες χρήστες&quot; είναι <b><u>απενεργοποιημένο</u></b>.
+<br><br>
+- Αυτόματη αποστολή ενός μηνύματος υπενθύμισης με δημιουργία και επιβεβαίωση νέου κλειδιού και την αυτόματη διαγραφή των λογαριασμών που δεν έχουν επιβεβαιωθεί ακριβώς μετά την αποστολή της υπενθύμισης -> &quot;Προθεσμία για την επιβεβαίωση εγγραφής περιορισμένη&quot; <b><u>ενεργοποιημένο</u></b> και το &quot;Υπενθυμίση στους ανεπιβεβαίωτες χρήστες&quot; είναι <b><u>ενεργοποιημένο</u></b>.';
+$lang['UAM_adminconfmailTitle_d'] = 'Μπορείτε να απενεργοποιήσετε αυτήν την επιβεβαίωση μόνο για λογαριασμούς χρηστών που δημιουργούνται από τον διαχειριστή μέσω του interface διαχείρισης χρηστών του Piwigo.<br><br>
+Ενεργοποιώντας αυτή την επιλογή, ένα e-mail επιβεβαίωσης για την εγγραφή θα σταλεί σε κάθε χρήστη και δημιουργείται από το διαχεριστή.<br><br>
+Απενεργοποιώντας αυτή την επιλογή (προεπιλογή), μόνο ένα ενημερωτικό email αποστέλλεται  (αν το &quot;Ενημερωτικό email για το χρήστη&quot; έχει ενεργοποιηθεί).';
+$lang['UAM_USRAutoDelTitle_d'] = 'Αυτό ισχύει μόνο όταν ο χρήστης του οποίου ο λογαριασμός έχει λήξει η ίδια πυροδοτεί το μηχανισμό διαγραφής (σπάνιες, αλλά είναι δυνατόν). Τότε αυτός είναι αποσυνδέεται από την γκαλερί και μεταφέρεται σε μια σελίδα που δείχνει τη διαγραφή του λογαριασμού του και, ενδεχομένως, τους λόγους αυτής της διαγραφής.
+<br><br>
+Περαιτέρω προσαρμόσετε το περιεχόμενο εισάγοντας ειδικές ετικέτες:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> να εισάγετε τον τίτλο της συλλογής σας.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b>να εισάγετε τη διεύθυνση URL γκαλερί σας, εάν έχει μπει στις επιλογές διαμόρφωσης του Piwigo.<br>
+Προσαρμογή κειμένου για την ανακατεύθυνση σελίδας μπορεί να εισαχθεί στο πεδίο αυτό που είναι συμβατό με το FCK Editor και, για πολυγλωσσικό περιβάλλον, μπορείτε να χρησιμοποιήσετε τις ετικέτες [lang] του πρόσθετου Extended description αν είναι ενεργό.
+';
+$lang['UAM_USRAutoMailTitle_d'] = 'Όταν ενεργοποιηθεί, η λειτουργία αυτή θα στείλει αυτόματα εξατομικευμένο περιεχόμενο στο &quot;e-mail υπενθύμισης με δημιουργία νέου κλειδιού&quot; στους επισκέπτες που ταιριάζουν στα κριτήρια.';
 ?>
Index: /extensions/UserAdvManager/branches/2.40/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/el_GR/plugin.lang.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/language/el_GR/plugin.lang.php	(revision 17512)
@@ -170,3 +170,166 @@
 $lang['UAM_No_Valid_Level'] = 'Επίπεδο προστασίας για τους χρήστες που δεν έχουν επιβεβαιώσει την εγγραφή τους<br>';
 $lang['UAM_No_Usermanager'] = 'Οι ανεπιβεβαίωτοι χρήστες δεν καταγράφονται στη λίστα προς το παρόν';
+$lang['UAM_USRAuto'] = 'Αυτόματη διαχείριση των ανεπιβεβαίωτων χρηστών';
+$lang['UAM_Tracking registered users'] = 'Παρακολούθηση εγγεγραμμένων χρηστών';
+$lang['UAM_Tracking confirmations'] = 'Επιβεβαιώσεις Παρακολούθησης';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - Έκδοση:';
+$lang['UAM_Title5'] = 'Διάφορες επιλογές';
+$lang['UAM_Title4'] = 'Συμβουλές και παραδείγματα χρήσης';
+$lang['UAM_Title3'] = 'Διαχείριση Ghost users';
+$lang['UAM_Title2'] = 'Επιβεβαιώσεις εγγραφής';
+$lang['UAM_Title1'] = 'Περιορισμοί για καταχωρίσεις';
+$lang['UAM_Tips2_txt'] = '   <ul>
+   <li>
+   Στόχοι: Ενημερώστε τον επισκέπτη ότι η καταχώριση είναι σε αναμονή της επιβεβαίωσης στέλνοντας μια επιπλέον σελίδα που αντικαθιστά τη σελίδα πρότυπο γκαλερί σε κάθε μία από αυτές τις συνδέσεις, και αυτό, ενώ η καταχώριση δεν έχει εγκριθεί.
+            <br><br>
+            Πλεονεκτήματα έναντι της μεθόδου με PWG_Stuffs: Επιτρέπει τη μορφοποίηση των  πληροφοριών και εμφανίζει τις πληροφορίες αμέσως μετά την εγγραφή του επισκέπτη.
+            </li><br><br>
+            <li>
+Προαπαιτούμενο:<br>
+- Μια γκαλερί με όλες ή ορισμένες ιδιωτικές κατηγορίες, είναι ορατή μόνο από εγγεγραμμένους χρήστες<br>
+- Τουλάχιστον 2, από τις ακόλουθες ομάδες χρηστών του Piwigo: "Waiting," χωρίς άδεια για τις ιδιωτικές κατηγορίες, και "Confirmed" με όλα τα δικαιώματα σχετικά με τις ιδιωτικές κατηγορίες<br>
+- Πρόσθετο UAM<br>
+- Πρόσθετο  Additional Pages για την προσθήκη και τη διαχείριση μιας επιπλέον σελίδας για να αντικαταστήσει την προεπιλεγμένη αρχική σελίδα της γκαλερί<br>
+- Προαιρετικά, το πρόσθετο  Extended Description για την υποστήριξη πολλαπλών γλωσσών<br>
+            </li><br><br>
+            <li>
+Στάδια:<br><br>
+A. Στο πρόσθετο UAM:
+              <ol>
+                <li>Ενεργοποίηση επιβεβαίωσης εγγραφής</li>
+                <li>Πληκτρολογήστε το κείμενο για συμπληρωματικές εξηγήσεις που θα επισυνάπτεται στο e-mail επιβεβαίωσης εγγραφής. Εάν το πρόσθετο  Extended Description είναι ενεργοποιημένο, μπορούν να χρησιμοποιηθούν οι ετικέτες γλώσσας </li> 
+                <li>Επιλέξτε την ομάδα "Waiting" υπό τον τίτλο "Για τους χρήστες που δεν έχουν επιβεβαιώσει την εγγραφή τους"</li>
+                <li>Επιλέξτε την ομάδα "Confirmed" υπό τον τίτλο "Για τους χρήστες που έχουν επιβεβαιώσει την εγγραφή τους"</li>
+                <li>Αποθηκεύστε τις ρυθμίσεις του πρόσθετου</li>
+              </ol>
+<br>
+B. Στο πρόσθετο Additional Pages:<br>
+                <b>ΣΗΜΕΙΩΣΗ: Η διαχείριση των δικαιωμάτων πρόσβασης για τις ομάδες στο Additional Pages πρέπει να είναι ενεργοποιημένη (ανατρέξτε στην ενότητα Ρυθμίσεις διαμόρφωσης πρόσθετου)</b>
+                <br>
+              <ol>
+                <li>Προσθέστε μια νέα σελίδα με τουλάχιστον τις ακόλουθες παραμέτρους:</li>
+                <ul>
+                  <li>Όνομα σελίδας: Το όνομα που θέλετε να δώσετε στην πρόσθετη σελίδα (π.χ.: Η Εγγραφή δεν έχει επιβεβαιωθεί)</li>
+                  <li>Τσεκάρετε το Ορισμός ως αρχική σελίδα</li>
+                  <li>Ομάδες που επιτρέπονται: Επιλέξτε το πλαίσιο που αντιστοιχεί στην ομάδα "Waiting" που ρυθμίζετε στο UAM</li>
+                  <li>Περιεχόμενο: Το κείμενο που θέλετε να χρησιμοποιήσετε για τους επισκέπτες.</li>
+                </ul>
+                <br>
+                <li>Και αυτό ήταν! Μόνο οι εγγεγραμμένοι επισκέπτες και των οποίων η εγγραφή δεν έχει επιβεβαιωθεί, θα δουν αυτή τη πρόσθετη σελίδα.</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips1_txt'] = '  <ul>
+  <li>
+  Στόχοι: Ενημερώνει τον επισκέπτη ότι η καταχώριση είναι εν αναμονή έγκρισης με την εμφάνιση ενός προσωπικού μπλοκ στην αρχική σελίδα της γκαλερί, και αυτό εφόσον η καταχώριση δεν έχει εγκριθεί.
+<br><br>
+  <b>Θυμηθείτε: Σε κανονική λειτουργία, ο «Επισκέπτης» βλέπει μόνο τις δημόσιες κατηγορίες, χωρίς πληροφοριακό μήνυμα.</b>
+   </li><br><br>
+   <li>
+Προαπαιτούμενο:<br>
+- Μια γκαλερί με όλες ή ορισμένες ιδιωτικές κατηγορίες, είναι ορατή μόνο από εγγεγραμμένους χρήστες<br>
+- Τουλάχιστον 2, από τις ακόλουθες ομάδες χρηστών του Piwigo: "Waiting," χωρίς άδεια για τις ιδιωτικές κατηγορίες, και "Confirmed" με όλα τα δικαιώματα σχετικά με τις ιδιωτικές κατηγορίες<br>
+- Πρόσθετο UAM<br>
+- Πρόσθετο PWG Stuffs, με την προσθήκη ενός ειδικού μπλοκ UAM<br>
+- Προαιρετικά, το πρόσθετο Extended Description για την υποστήριξη πολλαπλών γλωσσών<br>
+   </li><br><br>
+   <li>
+Στάδια:<br><br>
+A. Στο πρόσθετο UAM:
+     <ol>
+      <li>Ενεργοποίηση επιβεβαίωσης εγγραφής</li>
+      <li>Ενεργοποίηση επιλογή ενότητας PWG Stuffs</li>
+      <li>Πληκτρολογήστε το κείμενο για συμπληρωματικές εξηγήσεις που θα επισυνάπτεται στο e-mail επιβεβαίωσης εγγραφής. Εάν το πρόσθετο Extended Description είναι ενεργοποιημένο, οι ετικέτες γλώσσας μπορούν να χρησιμοποιηθούν</li>
+      <li>Επιλέξτε την ομάδα "Waiting" υπό τον τίτλο "Για τους χρήστες που δεν έχουν επιβεβαιώσει την εγγραφή τους"</li>
+      <li>Επιλέξτε την ομάδα "Confirmed" υπό τον τίτλο "Για τους χρήστες που έχουν επιβεβαιώσει την εγγραφή τους"</li>
+      <li>Αποθηκεύστε τις ρυθμίσεις του πρόσθετου</li>
+      </ol>
+<br>
+B. Στο πρόσθετο PWG Stuffs :
+      <ol>
+                <li>Μεταβείτε στην καρτέλα "Προσθήκη μιας νέας μονάδας"</li>
+                <li>Επιλέξτε "UAM Module"</li>
+                <li>Ρύθμιση τη μονάδα, υπό τον τίτλο (π.χ. "εν αναμονή της επιβεβαίωσης εγγραφής") και της περιγραφής του, και τσεκάρετε μόνο το "Waiting" στον κατάλογο των ομάδων που επιτρέπεται</li>
+                <li>Συμπληρώστε το περιεχόμενο της μονάδας με το πληροφοριακό μήνυμα που που θα εμφανίζεται στους χρήστες που δεν έχουν επιβεβαιωθεί. Όπως και στο UAM, γλώσσες σήμανσης μπορούν να χρησιμοποιηθούν, εάν το πρόσθετο Extended Description είναι ενεργοποιημένο</li>
+                <li>Τσέκαρε το "Εμφάνιση της μονάδας στην αρχική σελίδα του δικτυακού τόπου"</li>
+                <li>Επικύρωση τη διαμόρφωση της μονάδας</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips2'] = 'Πληροφορίες για ανεπιβεβαίωτες εγγραφές με το  UAM και το Additional Pages';
+$lang['UAM_Tips1'] = 'Πληροφορίες για ανεπιβεβαίωτες εγγραφές με UAM και PWG_Stuffs';
+$lang['UAM_Tab_Global'] = 'Διαμόρφωση';
+$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['UAM_Support_txt'] = 'Η επίσημη υποστήριξη σε αυτό το πρόσθετο είναι μόνο σε αυτά τα θέμα φόρουμ του Piwigo:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Επίσης είναι διαθέσιμο, το σύστημα διαχείρισης αναφορών σφαλμάτων του έργου:<a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['UAM_SubTitle4'] = 'Ghost Tracker';
+$lang['UAM_SubTitle1'] = 'Διαμόρφωση πρόσθετου';
+$lang['UAM_Stuffs_Title'] = 'UAM μπλοκ';
+$lang['UAM_Stuffs_Desc'] = 'Προσθέτει ένα μπλοκ πληροφορίες για τους ανεπιβεβαίωτους  χρήστες';
+$lang['UAM_Stuffs'] = 'PWG Stuffs μπλοκ';
+$lang['UAM_ScoreTest'] = 'Αποτέλεσμα:';
+$lang['UAM_Save'] = 'Εκτέλεση αντιγράφων ασφαλείας';
+$lang['UAM_Restore_File'] = 'Επαναφορά ρυθμίσεων';
+$lang['UAM_Restore'] = 'Για να επαναφέρετε το αντίγραφο ασφαλείας των ρυθμίσεων σας. Μόνο το αποθηκευμένο αρχείο στο διακομιστή λαμβάνεται υπόψη.
+<br><br>
+<b style="color: red;">Προσοχή στην έκδοση του αντιγράφου ασφαλείας!!<br> Ένα αντίγραφο ασφαλείας που δημιουργήθηκε από μια έκδοση του πρόσθετου μπορεί να αποκατασταθεί μόνο με την ίδια έκδοση.</b>';
+$lang['UAM_Restoration_OK'] = 'Η επαναφορά των ρυθμίσεων σας ολοκληρώθηκε με επιτυχία! Παρακαλώ ξαναφορτώστε τη σελίδα διαχείρισης του UAM για να δείτε αν αποκαταστάθηκαν οι ρυθμίσεις.';
+$lang['UAM_Restoration_NOK'] = 'Παρουσιάστηκε σφάλμα κατά την επαναφορά των ρυθμίσεων παραμέτρων. Παρακαλούμε ελέγξτε την εγκυρότητα των backup αρχείων σας.';
+$lang['UAM_Reminder_without_key_of_%s'] = 's%, το κλειδί επιβεβαίωσης θα λήξει';
+$lang['UAM_Reminder_with_key_of_%s'] = 's%, το κλειδί επιβεβαίωσης σας έχει ανανεωθεί';
+$lang['UAM_Reminder_Sent_OK'] = 'ΝΑΙ';
+$lang['UAM_Reminder_Sent_NOK'] = 'ΌΧΙ';
+$lang['UAM_RejectConnexion_Custom_Txt'] = 'Προσαρμογή του κειμένου απόρριψης';
+$lang['UAM_Reminder'] = 'Αποστολή υπενθύμισης';
+$lang['UAM_Reject_Page_Title'] = 'Η σύνδεση δεν επιτρέπεται!';
+$lang['UAM_RejectConnexion'] = 'Απόρριψη σύνδεσης στο χρήστη μέχρι καταχώριση επιβεβαίωσης';
+$lang['UAM_Registration_Date'] = 'Ημερομηνία εγγραφής';
+$lang['UAM_RedirToProfile'] = 'Ανακατεύθυνση στη σελίδα Προσαρμογής';
+$lang['UAM_PwdReset_Todo'] = 'Κωδικός που πρέπει να ανανεωθεί';
+$lang['UAM_PwdReset_NA'] = 'Αρχικός κωδικός πρόσβασης';
+$lang['UAM_PwdReset_Done'] = 'Κωδικός ανανεώθηκε ';
+$lang['UAM_PwdReset'] = 'Ανανέωση κωδικού';
+$lang['UAM_Password_Reset_Msg'] = 'Παρακαλώ, αλλάξτε τον κωδικό σας!';
+$lang['UAM_Password_Enforced_true'] = 'Ενεργοποίηση. Ελάχιστη βαθμολογία:';
+$lang['UAM_Password_Enforced'] = 'Ενίσχυση του επιπέδου ασφάλειας των κωδικών πρόσβασης';
+$lang['UAM_PasswordTest'] = 'Δοκιμή Κωδικού:';
+$lang['UAM_Password: %s'] = 'Κωδικός: %s';
+$lang['UAM_Password reset selected users'] = 'Αίτηση ανανέωσης κωδικού πρόσβασης για επιλεγμένους χρήστες';
+$lang['UAM_title_redir_page'] = 'Δεν επιτρέπεται η πρόσβαση έχοντας ένα λογαριασμό που καταργήθηκε!';
+$lang['UAM_title_confirm_mail'] = 'Επιβεβαιώστε την εγγραφή σας';
+$lang['UAM_submit'] = 'Υποβολή ρυθμίσεων';
+$lang['UAM_save_config'] = 'Η Διαμόρφωση αποθηκεύτηκε.';
+$lang['UAM_reg_err_login5'] = 'Ο Παροχέα email σας απαγορεύεται για την εγγραφή. Απαγορευμένες παροχείς ηλεκτρονικού ταχυδρομείου είναι:';
+$lang['UAM_mail_exclusionlist_error'] = 'Προσοχή! Έχετε εισάγει μια νέα γραμμή (CR-LF) στην αρχή της λίστας αποκλεισμού e-mail (εμφανίζονται με κόκκινο χρώμα παρακάτω). Παρά το γεγονός ότι η νέα αυτή γραμμή δεν είναι ορατή, εξακολουθεί να είναι παρούσα και μπορεί να προκαλέσει δυσλειτουργία του πρόσθετου. Παρακαλώ πληκτρολογήστε ξανά στη λίστα αποκλεισμού σας με τρόπο που δεν ξεκινά με μια νέα γραμμή.';
+$lang['UAM_reg_err_login4_%s'] = 'Ασφάλεια: Ένα σύστημα ελέγχου υπολογίζει τη βαθμολογία για την πολυπλοκότητα των επιλεγμένων κωδικών πρόσβασης. Η πολυπλοκότητα του κωδικού πρόσβασής σας είναι πολύ χαμηλή (βαθμολογία = %s). Παρακαλώ, επιλέξτε έναν νέο κωδικό πρόσβασης πιο ασφαλή, ακολουθώντας αυτούς τους κανόνες:<br>
+- Χρησιμοποιήστε γράμματα και αριθμούς<br>
+- Χρησιμοποιήστε κεφαλαία και πεζά<br>
+- Αυξήστε το μήκους του (αριθμός χαρακτήρων)<br>
+Η ελάχιστη βαθμολογία για τους κωδικούς πρόσβασης που απαιτείται από τον διαχειριστή είναι:';
+$lang['UAM_reg_err_login3'] = 'Ασφάλεια: Κωδικός Πρόσβασης δεν είναι υποχρεωτικός!';
+$lang['UAM_reg_err_login2'] = 'Το Όνομα χρήστη δεν πρέπει να ταιριάζει με τους ακόλουθους χαρακτήρες:';
+$lang['UAM_no_update_pwd'] = '[προφίλ ενημερωμένο, χωρίς να αλλάξει τον κωδικό]';
+$lang['UAM_infos_mail %s'] = '%s, παρακαλώ εδώ είναι τα στοιχεία σας για να συνδεθείτε στην γκαλερί:';
+$lang['UAM_empty_pwd'] = '[κενός κωδικός πρόσβασης]';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση μη αποδεκτή';
+$lang['UAM_confirmmail_custom_Txt1'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση αποδεκτή';
+$lang['UAM_confirm_mail_page_title'] = 'Επιβεβαιώστε την εγγραφή σας';
+$lang['UAM_audit_ok'] = 'Παρακολούθηση ΟΚ';
+$lang['UAM_audit'] = 'Ρυθμίσεις Παρακολούθησης';
+$lang['UAM_You need to confirm pwdreset'] = 'Πρέπει να επιβεβαιώσετε τον κωδικό ανανέωσης (check box)!';
+$lang['UAM_You cannot pwdreset your account'] = 'Κωδικός ανανέωση δεν μπορεί να ρυθμιστεί για το δικό σας λογαριασμό!';
+$lang['UAM_Webmaster cannot be pwdreset'] = 'Ο κωδικός ανανέωση δεν μπορεί να ρυθμιστεί για το λογαριασμό webmaster!';
+$lang['UAM_ValidationLimit_Info'] = 'Προθεσμία για την επιβεβαίωση εγγραφής είναι περιορισμένο';
+$lang['UAM_Validation of %s'] = 'Επιβεβαίωση του %s';
+$lang['UAM_Validated_Status'] = 'Κατάσταση για τους χρήστες οι οποίοι έχουν επιβεβαιώσει την εγγραφή τους<br>';
+$lang['UAM_Validated_Group'] = 'Ομάδα για χρήστες οι οποίοι έχουν επιβεβαιώσει εγγραφή τους <br>';
+$lang['UAM_Valid_Level'] = 'Επίπεδο προστασίας για τους χρήστες οι οποίοι έχουν επιβεβαιώσει την εγγραφή τους<br>';
+$lang['UAM_Username_Char_true'] = 'Απαγορευμένοι χαρακτήρες:<br>(Χρησιμοποιήστε ένα κόμμα για να διαχωρίσετε κάθε χαρακτήρα)<br><br>';
+$lang['UAM_Username_Char_false'] = 'Επιτρέπονται όλα (προεπιλογή)';
+$lang['UAM_Username_Char'] = 'Ονόματα χρηστών: Αποκλεισμός χαρακτήρων';
+$lang['UAM_User: %s'] = 'Χρήστης : %s';
+$lang['UAM_Update of %s'] = 'Προφίλ %s επικαιροποιημένο';
+$lang['UAM_USRAutoMail'] = 'Αυτόματη υπενθύμιση e-mail';
+$lang['UAM_USRAutoDel'] = 'Προσαρμοσμένο μήνυμα για διαγραμμένο λογαριασμό';
 ?>
Index: /extensions/UserAdvManager/branches/2.40/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/en_UK/plugin.lang.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/language/en_UK/plugin.lang.php	(revision 17512)
@@ -420,3 +420,10 @@
 $lang['UAM_Default_AdminValidationMail_Subject'] = '[username] - Registration validated on [mygallery]';
 // --------- End: New or revised $lang ---- from version 2.40
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.40.4 and 2.30.7
+$lang['UAM_mail_exclusion_error'] = 'The Piwigo\'s option "The email address is mandatory for all users" has been disabled while the UserAdvancedManager\'s (UAM) plugin option "Exclusion of mail domains" remained active. This combination is illogical and not compatible!<br><br>
+Please, Reactivate the Piwigo\'s option "The email address is mandatory for all users" to be able then to disable UAM\'s option "Exclusion of mail domains" if that\'s what you want.<br><br>
+Note: This message will disappear after you have made the necessary correction and reloaded the admin page.<br><br>';
+// --------- End: New or revised $lang ---- from version 2.40.4 and 2.30.7
 ?>
Index: /extensions/UserAdvManager/branches/2.40/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/fr_FR/plugin.lang.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/language/fr_FR/plugin.lang.php	(revision 17512)
@@ -425,3 +425,10 @@
 $lang['UAM_Default_AdminValidationMail_Subject'] = '[username] - Inscription validée sur [mygallery]';
 // --------- End: New or revised $lang ---- from version 2.40
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.40.4 and 2.30.7
+$lang['UAM_mail_exclusion_error'] = 'L\'option de Piwigo "L\'adresse mail est obligatoire pour tous les utilisateurs" a été désactivée alors que l\'option du plugin UserAdvancedManager (UAM) "Exclusion des domaines de messagerie" est resté active. Cette combinaison est illogique et non compatible!<br><br>
+Veuillez réactivez l\'option de Piwigo "L\'adresse mail est obligatoire pour tous les utilisateurs" pour pouvoir désactiver ensuite l\'option UAM "Exclusion des domaines de messagerie" si c\'est ce que vous souhaitez.<br><br>
+Note : Ce message disparaitra après que vous ayez effectué la correction nécessaire et rechargé la page d\'administration.<br><br>';
+// --------- End: New or revised $lang ---- from version 2.40.4 and 2.30.7
 ?>
Index: /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php	(revision 17512)
@@ -156,6 +156,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Reģistrācijas apstiprināšana administratoriem';
-$lang['UAM_Tips1_txt'] = '
-<ul>
+$lang['UAM_Tips1_txt'] = '<ul>
 <li>
              Mērķi:<br>
@@ -335,3 +334,60 @@
 
 Piezīme: Pēc šī perioda, jūsu konts tiks neatgriezeniski izdzēsts.';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Sveiki [username].
+
+Šis ir atgādinājums, jo pagājis ļoti ilgs laiks kopš Jūsu pēdējā mūsu galerijas [mygallery] apmeklējuma. Ja vairs nevēlaties zmantot savu piekļuves kontu, lūdzu, dariet mums to zināmu, atbildot uz šo e-pastu. Jūsu konts tiks izdzēsts.
+
+Ja saņemsit šo ziņu un [days] dienu laikā nebūs apmeklējumu, mēs būsim spiesti automātiski izdzēst jūsu kontu.
+
+Vēlot to vislabāko,
+
+Galerijas [mygallery] - [myurl] administrators.';
+$lang['UAM_Tips2_txt'] = '<ul>
+<li>
+Mērķi: Informēt apmeklētājus ka tiek gaidīta reģistrācijas apstiprināšana, nosūtot papildu lapu, aizstājot galerijas standarta indeksa lapu katrā no šiem savienojumiem, un šo, ja reģistrācija netiek apstiprināta.
+<br><br>
+Priekšrocības pār metodi ar PWG_Stuffs: Atļaut formatēt informāciju un ļauj attēlot informāciju tūlīt pēc apmeklētāju reģistrācijas. 
+</li><br><br>
+<li>
+Priekšnosacījums:<br>
+- Galerija ar visām vai dažām privātajām kategorijām, redzama tikai reģistrētiem lietotājiem<br>
+- - Vismaz 2 sekojošas Piwigo lietotāju grupas: "Gaidošie," bez atļaujas attiecībā uz privātām kategorijām, un "Apstiprinātie" ar visām atļaijām uz privātām kategorijām<br>
+- UAM spraudnis<br>
+- Papildu Lapas spraudnis priekš papildu lapas pievienošanas un pārvaldīšanas, lai aizstātu galerijas noklusējuma indeksa lappusi<br>
+- Kā opcija, spraudnis Paplašinātais Apraksts {Extended Description}, lai atbalstītu multi-valodas<br> 
+</li><br><br>
+<li>
+Posmi: <br><br>
+ A.spraudnī UAM:
+               <ol>
+               <li>Iespējot reģistrācijas apstiprināšanu</li>
+               <li> Ievadiet tekstu papildu paskaidrojumam, kas tiks pievienots reģistrācijas apstiprinājuma e-pastam. Ja spraudnis Paplašinātais Apraksts tiek aktivizēts, var lietot valodas tagus</li>
+               <li>Izvēlieties grupu "Gaidošie" zem "Lietotājiem, kuri nav apstiprinājuši savu reģistrāciju"</li>
+               <li>Izvēlieties grupu "Apstiprinātie" zem "Lietotājiem, kuri apliecinājuši savu reģistrāciju"</li>
+               <li>Saglabāt spraudnis konfigurācija</li>
+               </ol>
+<br>
+B. spraudnī Papildus Lapas: <br>
+      <b>PIEZĪME: Pārvaldībai par piekļuves tiesībām grupām uz Papildus lapām jābūt ieslēgtai (skatīt spraudņa konfigurācijas uzstādījumus).</b>
+              <br>
+              <ol>
+              <li>Pievienot jaunu lapu ar vismaz šādiem parametriem:</li>
+              <ul>
+              <li>Lapas nosaukums: Nosaukums, kuru vēlaties piešķirt papildu lapai (ti: Reģistrācija nav apstiprināta)</li>
+              <li>Uzstādīt kā sākumlapu pārbaudītu</li>
+              <li>Atļautas Grupas: Atzīmējiet lodziņu, kas atbilst grupai "Gaidošie" konfigurētam UAM</li>
+              <li>Saturs: Teksts, kuru vēlaties izmantot apmeklētājiem.</li>
+              </ul>
+               <br>
+               <li>Un tas arī viss! Tikai reģistrētie apmeklētāji un kuru reģistrācija nav apstiprināta redzēs šo papildus indeksa lapu. </li>
+               </ol>
+             </li>
+           </ul>';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsekvences kļūda izvēlētajā konfigurācijā:
+<br><br>
+"Iestatot reģistrēto lietotāju monitoringu un citus opcijas > Spoku apmeklētāju pārvaldība (Ghost Tracker) > Spoku lietotāju automātiskā pārvaldība > Automātisko e-pasta izsūtīšanu, kad tiek mainīta grupa/statuss" nevar aktivēt, ja "Iestatot reģistrācijas apstiprināšanu > Reģistrācijas apstiprināšana - Lietotāja apstiprināšana" nav iespējota.
+<br><br>
+Lai nodrošinātu konsekvenci, opcija "Automātiskā e-pasta izsūtīšana, mainot grupu/statusu" tika automātiski pārlikta uz "atspējotu".
+ <br>
+';
 ?>
Index: /extensions/UserAdvManager/branches/2.40/main.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/main.inc.php	(revision 17511)
+++ /extensions/UserAdvManager/branches/2.40/main.inc.php	(revision 17512)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.40.3
+Version: auto
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
@@ -258,3 +258,8 @@
   }
 }
+
+
+// Check options compatibility between UAM and Piwigo at admin page load
+// ---------------------------------------------------------------------
+add_event_handler('loc_begin_admin_page', 'UAM_check_compat');
 ?>
